Page MenuHomePhabricator

Allow modern hunks to be stored deflated
ClosedPublic

Authored by epriestley on May 25 2014, 6:50 PM.

Details

Summary

Ref T4045. Ref T5179. When saving a modern hunk, deflate it if we have the function and deflating it will save a nontrivial number of bytes.

Test Plan
  • Used bin/hunks migrate to move some hunks over, saw ~70-80% compression on most standard hunks.
  • Viewed changesets using compressed hunks.
  • Profiled gzinflate() and verified the cost is trivial (<< 1ms) at least for normal diffs.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

epriestley updated this revision to Diff 22059.May 25 2014, 6:50 PM
epriestley retitled this revision from to Allow modern hunks to be stored deflated.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: btrahan.
btrahan accepted this revision.Jun 3 2014, 10:12 PM
btrahan edited edge metadata.
This revision is now accepted and ready to land.Jun 3 2014, 10:12 PM
epriestley closed this revision.Jun 4 2014, 1:03 AM
epriestley updated this revision to Diff 22331.

Closed by commit rP4b39fbe1155e (authored by @epriestley).